#!/usr/bin/env node
import { execSync } from 'child_process';

function runScript(scriptName) {
  try {
    const output = execSync(`npm run ${scriptName}`, { stdio: 'inherit' });
    console.log(`Script "${scriptName}" completed successfully.`);
  } catch (error) {
    console.error(`Script "${scriptName}" exited with an error.`);
    process.exit(1);
  }
}

runScript('build');
runScript('start');
